Installation Media - Bug #2835
Bug # 2108 (confirmed): ISO fails to boot with libreboot

[Dual OpenRC CLI ISO][x86_64] Installation Media Hangs During Boot on APU2C4
2020-07-12 07:47 PM - and_who

Status: unconfirmed % Done: 0%
Priority: bug

Assignee: Megver83

Category:

Description

The newest installation media fails to boot on an APU2C4 both with and without microcode updates included in the coreboot
firmware itself (v4.12.0.2). | wrote the ISO to both a USB drive and SD card and both failed to boot, hanging at the same point. See
the attached text file for the serial output during the boot process.

To see if this was an issue with Parabola specifically, | attempted booting the newest Hyperbola ISO and it hangs during boot as well
so I'm not sure if this is an OpenRC issue or kernel bug or...what, exactly. | have an old installation of Parabola (Linux version
5.2.5-gnu-1) on the APU's SSD with Systemd rather than OpenRC and had no issues booting with and without microcode updates.

As a result it is currently impossible to install Parabola to anything from an APU2. | can provide further information / test anything if
required.

History

#1 - 2020-07-14 10:19 PM - and_who

| just tested the installation media using another board (KCMA-D8) over serial as well and it hung at the same point. Perhaps there's some issue with
serial during init?

#2 - 2020-07-15 04:01 AM - bill-auger

thanks for doing these experiments - some computers have problems with coreboot and libreboot, and some do not - it is still not obvious which is
which though - according to your remark on IRC, you seem to have noticed that yourself

we need people who find those problems with coreboot and libreboot, to do more experiments - they have been difficult to support because people
who report problems, most often do not give enough information, or follow-through with more experiments - what is apparent is that there is some
important difference with EFI vs BIOS mode, and between the openrc and systemd ISOS

have you tried any of the other ISOs? - the openrc/LXDE ISO, any of the systenmd ISOs?
have you tried booting with either EFl and BIOS mode?

someone noted on ticket #2628 that coreboot/libreboot can boot the openrc ISOs; but only in EFI mode - ticket #2108 has some example grub

entries, which people have used to coax libreboot into booting the ISO - comment 23 of #2108 is a list of more experiments that could be done to
narrow in on the symptoms

#3 - 2020-07-15 04:19 AM - bill-auger
- Parent task set to #2108

#4 - 2020-07-15 05:34 AM - and_who
Tested the other ISO images and the results are below:
e OpenRC/LXDE: Hangs at the same point during bootup
¢ SystemD/LXDE (non-talking parabola): Works!
e SystemD/CLI (talking parabola): Works!
| only tried booting with BIOS, not EFI.
#5 - 2020-07-15 05:49 AM - bill-auger
- Assignee set to Megver83
so the APU2 with coreboot can boot the systemd/LXDE ISO, but not any of the openrc ISOs, or the talking ISO ?

that is an important distinction; because the hyperbola ISO, the parabola openrc ISOs, and the talking ISO were made from a different code branch
than the systemd/LXDE ISO
the openrc ISOs and the systemd/LXDE ISO were made using a different EFI; so on the one hand, this result appears to confirm that this is an
important distinction, as indicated by #2108 - interestingly though, this result appears to the contradict the one reported in #2108; which reported that
libreboot could boot the openrc ISOs, but not the systemd/LXDE ISO

OTOH, if this result was really done with legacy BIOS, then it confirms #2330, which described success booting a systemd ISO, but failure booting an
openrc ISO; but that one was not using coreboot or libreboot

i will assign this ticket to megver; because he also makes the hyperbola ISOs - unfortunately we have conflicting results now, so its not clear which
EFl is the problem, or if the EFl is the source of the problem at all

#6 - 2020-07-15 06:24 AM - and_who

so the APU2 with coreboot can boot the systemd/LXDE ISO, but not any of the openrc ISOs, or the talking ISO ?

Both the APU2 and KCMA-D8 can boot the SystemD ISOs (both Talking and non-Talking) but not the OpenRC ones (CLI and LXDE).

Seems to point to OpenRC as the issue.

#7 - 2020-07-15 06:28 AM - bill-auger

thanks, that is the most interesting result in a while - the talking and non-talking SystemD ISOs were made from a different code branch - the talking
ISO was made from the same code branch as the openrc ISOs - that is what i have been assuming was the most important difference; but this
suggests that the problem is specific to the openrc boot process, and not the EFI

note to self: this probably means that the unified branch can be merged with the master branch; then finally rebased onto the arch32 upstream

#8 - 2020-07-15 06:40 AM - and_who

If no one is able to find the bug, I'm willing to purchase an old monitor to hook up to my KCMA-D8 and see if there's a difference having a display
instead of serial-only output w/ the OpenRC ISOs. This could be why it's possible to boot the OpenRC ISOs on a Librebooted x200 and Librebooted
iMac5,2 (tested both myself) with no issue. But we'll cross that bridge when we get to it, | suppose.

#9 - 2020-07-15 01:04 PM - Megver83

tl;dr everything, but | suspect that you have to wait a bit more for OpenRC to boot everything. You seem to be stucked when starting the 'local'
service, but I'm sure it's just that it's just taking longer, nothing else. There's a 'local' script which starts the pacman keyring, and sometimes it takes its
time. If you have a kind of slow PC, you'll need some patience.

https://qgit.parabola.nu/parabolaiso.git/tree/configs/releng-openrc/airootfs/etc/local.d/pacman-init.start

#10 - 2020-07-15 02:32 PM - and_who

tl;dr everything, but | suspect that you have to wait a bit more for OpenRC to boot everything.

I've let it sit for hours to no avail so, no, this is not the case. It indeed hangs at this point. I'll leave it running today while I'm at work and report back on
the results after I'm home ~6 hours later but | can guarantee it won't make a difference (I've left it running while | slept before and there was no
change).

#11 - 2020-07-15 11:17 PM - and_who
Megver83 wrote:
You seem to be stucked when starting the 'local' service, but I'm sure it's just that it's just taking longer, nothing else.
No, it's not stuck starting the local service. If you read the log | attached in the OP you'll see that it completes. Yes, it takes a few minutes (at most)
but it does finish initializing the pacman keyring. What is happening is that it hangs right after.
I let it run while at work and 8+ hours later it's still hung at the same point. This is not a matter of it just "taking longer".

#12 - 2020-07-26 10:56 PM - and_who

UPDATE: | tested the OpenRC ISOs (CLI and LXDE) using a physical monitor connected to my KCMA-D8's VGA output and was able to boot
successfully. The KCMA-D8 was running the latest release of Libreboot configured for textmode and the SeaBIOS payload.

Thus, the issue is wholly unrelated to coreboot/Libreboot and should be unassociated from issue #2108. The issue lies with serial during the OpenRC
boot process, causing a hang after ostensibly initializing the pacman keyring. In my opinion until this is fixed a note should be added somewhere that
warns users of broken serial communication when booting from the OpenRC ISOs since this affects headless setups.
apu2c4_parabola_dual_cli_boot_failure.log 3.4 KB 2020-07-12 and_who
